Bug 754453 - libvirt-spawned dnsmasq floods my logfile w/ messages about lease renewals ....
libvirt-spawned dnsmasq floods my logfile w/ messages about lease renewals ....
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
14
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-16 10:07 EST by William A. Mahaffey III
Modified: 2012-01-24 17:42 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-24 17:42:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description William A. Mahaffey III 2011-11-16 10:07:04 EST
Description of problem:See above


Version-Release number of selected component (if applicable):libvirt.x86_64 0.8.3-10.fc14


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results: libvirt spawns an instance of dnsmasq to handle the bridge from VM's to host. That instance has a finite lease time, about 25 min. consequently, I am getting lots of messages in my syslog file about lease renewals, floods that file, washed other possibly important stuff out of view of a tail, etc. The lease time should be infinite, or at least longer than 25 min.


Expected results:longer lease times, maybe daily or weekly ....


Additional info: example, from a couple of days back:


Nov  8 07:48:19 Q6600 dnsmasq-dhcp[1980]: DHCPREQUEST(virbr0) 192.168.122.213 52:54:00:a4:98:a3 
Nov  8 07:48:19 Q6600 dnsmasq-dhcp[1980]: DHCPACK(virbr0) 192.168.122.213 52:54:00:a4:98:a3 
Nov  8 08:14:14 Q6600 dnsmasq-dhcp[1980]: DHCPREQUEST(virbr0) 192.168.122.213 52:54:00:a4:98:a3 
Nov  8 08:14:14 Q6600 dnsmasq-dhcp[1980]: DHCPACK(virbr0) 192.168.122.213 52:54:00:a4:98:a3 
Nov  8 08:35:26 Q6600 dnsmasq-dhcp[1980]: DHCPREQUEST(virbr0) 192.168.122.213 52:54:00:a4:98:a3 
Nov  8 08:35:26 Q6600 dnsmasq-dhcp[1980]: DHCPACK(virbr0) 192.168.122.213 52:54:00:a4:98:a3 
Nov  8 08:58:10 Q6600 dnsmasq-dhcp[1980]: DHCPREQUEST(virbr0) 192.168.122.213 52:54:00:a4:98:a3 
Nov  8 08:58:10 Q6600 dnsmasq-dhcp[1980]: DHCPACK(virbr0) 192.168.122.213 52:54:00:a4:98:a3

these are pretty much useless, unimportant, longer leases would cut them down ....
Comment 1 Fedora Admin XMLRPC Client 2011-11-30 14:55:29 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2011-11-30 14:57:30 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2011-11-30 15:01:53 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-11-30 15:03:08 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Cole Robinson 2012-01-24 17:42:45 EST
Sorry for not addressing this bug, but F14 is EOL now, so I'm closing this
report. Please reopen if this is still relevant in a more recent fedora.

Note You need to log in before you can comment on or make changes to this bug.